import { FabCityHamburgLogo } from "@components/FabCityHamburgLogo";
import { StoryDefault } from "@ladle/react";

export const FchhLogoStory = () => (
  <div className="fs-flex fs-gap-8">
    <div className="fs-bg-white fs-p-8">
      <FabCityHamburgLogo />
    </div>
    <div className="fs-bg-grey-900 fs-p-8">
      <FabCityHamburgLogo lightColor />
    </div>
    <div className="fs-bg-white fs-p-8">
      <FabCityHamburgLogo monotone />
    </div>
    <div className="fs-bg-grey-900 fs-p-8">
      <FabCityHamburgLogo monotone lightColor />
    </div>
  </div>
);

export default {
  title: "Molecules",
} satisfies StoryDefault;

FchhLogoStory.storyName = "FCHH Logo";
FchhLogoStory.meta = {
  descriptionTitle: "FCHH Logo",
  description:
    "This is a responsive Logo component for the Logo of Fab City Hamburg. It supports two different text color/font versions as well as a monotone version.",
};
